"""
 Klasse Karte

 @version 1.0 vom 2025-01-09
 @AAK 
"""

class Karte:
    
    def __init__(self, pFarbe, pWert):
        """
        Konstruktor
        Parameter pFarbe: Farbe einer Karte
        Parameter pWert: Wert einer Karte
        """
        self.__farbe = pFarbe
        self.__wert = pWert

    def getFarbe(self):
        """
        gibt farbe zurueck
        Rueckgabe: farbe
        """
        return self.__farbe

    def getWert(self):
        """
        gibt wert zurueck
        Rueckgabe: wert
        """
        return self.__wert

    def setFarbe(self, pFarbe):
        """
        setzt farbe
        Parameter pFarbe: Farbe
        """
        self.__farbe = pFarbe

    def setWert(self, pWert):
        """
        setzt wert
        Parameter pWert: Wert
        """
        self.__wert = pWert